import networkx as nx

G=nx.Graph()

G.add_node("A")
G.add_nodes_from(["B","C"])

G.add_edge("A","B")

print G.number_of_nodes()
print G.number_of_edges()

#G.add_node(1, time='5pm')

print G.nodes(data=True)


G.add_nodes_from(["D","E","F","G","H","I","J","K","L"])
G.add_edge("C","D")
G.add_edge("D","E")
G.add_edge("A","C")
G.add_edge("I","E")
G.add_edge("J","D")
G.add_edge("H","D")


nx.write_gml(G,"test.gml")

